$(document).ready(function() {
	/* Add class 'ncaret' in a href under li has children */
	/*
	var lihaschildren = document.getElementsByClassName("menu-item-has-children");
	for(var i = 0; i < lihaschildren.length; i++) {
		var avalue = $(lihaschildren[i]).children('a').html();
		$(lihaschildren[i]).children('a').html(avalue + ' <span class="ncaret"></span>');
	}
	
	var lihaschildren = document.getElementsByClassName("page_item_has_children");
	for(var i = 0; i < lihaschildren.length; i++) {
		var avalue = $(lihaschildren[i]).children('a').html();
		$(lihaschildren[i]).children('a').html(avalue + ' <span class="ncaret"></span>');
	}
	*/
	$('<span class="ncaret"></span>').insertAfter('.menu-item-has-children > a, .page_item_has_children > a');
	
	/* Add or remove class 'mobile' for mobile menu */
	/* 768px - 17px = 751px */
	function navsetup() {
		var winWidth = $(window).width();
		if ((winWidth < 751) && (ismobile == false)) {
			$('.menu-item-has-children, .page_item_has_children').addClass('mobile');
			/* Add padding left for sub menu in mobile display */
			$('.mobile').each(function() {
			  var apad = $(this).find('ul > li > a').css('padding-left').replace("px", "");
			  apad = parseInt(apad);
			  $(this).find('ul > li > a').css('padding-left', apad + 15 + "px");
			});
			ismobile = true;
		}
		if ((winWidth >= 751) && (ismobile == true)) {
			$('.menu-item-has-children, .page_item_has_children').removeClass('mobile');
			/* Subtract padding left for sub menu in mobile display */
			$('.menu-item-has-children, .page_item_has_children').each(function() {
			  var apad = $(this).find('ul > li > a').css('padding-left').replace("px", "");
			  apad = parseInt(apad);
			  $(this).find('ul > li > a').css('padding-left', apad - 15 + "px");
			});
			ismobile = false;
		}
	}
	
	var winWidth = $(window).width();
	if(winWidth < 751){
		var ismobile = true;
		$('.menu-item-has-children, .page_item_has_children').addClass('mobile');
		/* Add padding left for sub menu in mobile display */
		$('.mobile').each(function() {
		  var apad = $(this).find('ul > li > a').css('padding-left').replace("px", "");
		  apad = parseInt(apad);
		  $(this).find('ul > li > a').css('padding-left', apad + 15 + "px");
		});
	} else {
		var ismobile = false;
	}
	
	$('.ncaret').unbind().click(function(){
	  $(this).next('ul').toggleClass('toggled-on');
	});
	
	$(window).resize(function() {
		navsetup();
	});
	
});