							<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
								<div class="row">
									<?php if ( '' !== get_the_post_thumbnail() && ! is_single() ): ?>
										<div class="col-md-6 post-thumbnail">
											<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
										</div>
										<div class="col-md-6">
											<span class="post-cat"><?php echo get_the_category_list( ' &bull; ' ); ?></span>
											<h2 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
											<div class="post-meta">
												by <span class="post-author"><?php echo get_the_author_posts_link(); ?></span> / <span class="post-on"><?php the_date(); ?></span>
											</div>

											<div class="post-content">
												<?php the_excerpt(); ?>
											</div><!-- .entry-content -->
											<a class="btn btn-default" href="<?php the_permalink(); ?>">Read More</a>
										</div>
									<?php else : ?>
										<div class="col-md-12">
											<span class="post-cat"><?php echo get_the_category_list( ' &bull; ' ); ?></span>
											<?php
												if (is_single()) {
													the_title( '<h2 class="post-title">', '</h2>' );
												} else {
													the_title( '<h2 class="post-title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h2>' );
												}
											?>
											<div class="post-meta">
												by <span class="post-author"><?php echo get_the_author_posts_link(); ?></span> / <span class="post-on"><?php the_date(); ?></span>
											</div>
											
											<?php if ('' !== get_the_post_thumbnail()): ?>
												<div class="post-thumbnail">
													<?php the_post_thumbnail(); ?>
												</div>
											<?php endif; ?>

											<div class="post-content">
												<?php the_excerpt(); ?>
											</div><!-- .entry-content -->
											<?php if (! is_single()) { ?>
												<a class="btn btn-default" href="<?php the_permalink(); ?>">Read More</a>
											<?php } ?>
										</div>
									<?php endif; ?>
								</div>
							</article>
