							<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
								<div class="row">
									<?php
										$content = apply_filters( 'the_content', get_the_content() );
										$video = false;

										// Only get video from the content if a playlist isn't present.
										if ( false === strpos( $content, 'wp-playlist-script' ) ) {
											$video = get_media_embedded_in_content( $content, array( 'video', 'object', 'embed', 'iframe' ) );
										}

									?>

									<?php if ( '' !== get_the_post_thumbnail() && ! is_single() && empty( $video ) ): ?>
										<div class="col-md-12">
											<span class="post-cat"><?php echo get_the_category_list( ' &bull; ' ); ?></span>
											<?php
												the_title( '<h2 class="post-title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h2>' );
											?>
											<div class="post-meta">
												by <span class="post-author"><?php echo get_the_author_posts_link(); ?></span> / <span class="post-on"><?php the_date(); ?></span>
											</div>
											<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
											<a class="btn btn-default" href="<?php the_permalink(); ?>">Read More</a>
										</div>
									<?php else : ?>
										<div class="col-md-12">
											<span class="post-cat"><?php echo get_the_category_list( ' &bull; ' ); ?></span>
											<?php
												if (is_single()) {
													the_title( '<h2 class="post-title">', '</h2>' );
												} else {
													the_title( '<h2 class="post-title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h2>' );
												}
											?>
											<div class="post-meta">
												by <span class="post-author"><?php echo get_the_author_posts_link(); ?></span> / <span class="post-on"><?php the_date(); ?></span>
											</div>
											
											<?php if ('' !== get_the_post_thumbnail() && empty( $video )): ?>
												<div class="post-thumbnail">
													<?php the_post_thumbnail(); ?>
												</div>
											<?php endif; ?>

											<?php
												if ( ! is_single() ) {

													// If not a single post, highlight the video file.
													if ( ! empty( $video ) ) {
														foreach ( $video as $video_html ) {
															echo '<div class="entry-video">';
																echo $video_html;
															echo '</div><!-- .entry-video -->';
														}
													} else {
														echo '<div class="post-content">';
															echo the_excerpt();
														echo '</div><!-- .entry-content -->';
													}

												} else {
													echo '<div class="post-content">';
														echo the_excerpt();
													echo '</div><!-- .entry-content -->';
												}
											?>
											
											<?php if (! is_single()) { ?>
												<a class="btn btn-default" href="<?php the_permalink(); ?>">Read More</a>
											<?php } ?>
										</div>
									<?php endif; ?>
								</div>
							</article>
